> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /booking/destinations

> Get a Booking.com destination with the neighborhoods, landmarks, brands and places inside it

**Price:** 1 credit

**⚠️ Common errors:** 412: Destination not found



## OpenAPI

````yaml /openapi/travel-hospitality.json post /api/booking/destinations
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/booking/destinations:
    post:
      tags:
        - /booking
      summary: /booking/destinations
      description: >-
        Get a Booking.com destination with the neighborhoods, landmarks, brands
        and places inside it


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Destination not found
      operationId: __api_booking_destinations_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BookingDestinationPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BookingDestinationProfile'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BookingDestinationPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        destination_id:
          type: integer
        destination_type:
          $ref: '#/components/schemas/BookingDestinationType'
        language:
          $ref: '#/components/schemas/BookingLanguage'
          default: en-us
      type: object
      required:
        - destination_id
        - destination_type
    BookingDestinationProfile:
      properties:
        '@type':
          type: string
          default: BookingDestinationProfile
        id:
          type: integer
        destination_type:
          type: string
        property_count:
          anyOf:
            - type: integer
            - type: 'null'
        neighborhoods:
          items:
            $ref: '#/components/schemas/BookingDestinationFacet'
          type: array
          default: []
        landmarks:
          items:
            $ref: '#/components/schemas/BookingDestinationFacet'
          type: array
          default: []
        brands:
          items:
            $ref: '#/components/schemas/BookingDestinationFacet'
          type: array
          default: []
        cities:
          items:
            $ref: '#/components/schemas/BookingDestinationFacet'
          type: array
          default: []
        sub_destinations:
          items:
            $ref: '#/components/schemas/BookingDestinationFacet'
          type: array
          default: []
      type: object
      required:
        - id
        - destination_type
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BookingDestinationType:
      type: string
      enum:
        - CITY
        - REGION
        - DISTRICT
        - COUNTRY
        - AIRPORT
        - LANDMARK
        - HOTEL
        - THEME
        - LATLONG
    BookingLanguage:
      type: string
      enum:
        - ar
        - bg
        - ca
        - cs
        - da
        - de
        - el
        - en-gb
        - en-us
        - es
        - es-ar
        - es-mx
        - et
        - fi
        - fr
        - he
        - hi
        - hr
        - hu
        - id
        - is
        - it
        - ja
        - ko
        - lt
        - lv
        - ms
        - nl
        - 'no'
        - pl
        - pt-br
        - pt-pt
        - ro
        - ru
        - sk
        - sl
        - sr
        - sv
        - th
        - tl
        - tr
        - uk
        - vi
        - zh-cn
        - zh-tw
    BookingDestinationFacet:
      properties:
        '@type':
          type: string
          default: BookingDestinationFacet
        id:
          type: integer
        name:
          type: string
        property_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````